// 
// Copyright 2016 Agencia Estatal de Administración Tibutaria
//
// Licencia con arreglo a la EUPL, Versión 1.1 o -en cuanto
// sean aprobadas por la Comisión Europea- versiones
// posteriores de la EUPL (la «Licencia»);
// Solo podrá usarse esta obra si se respeta la Licencia.
// Puede obtenerse una copia de la Licencia en:
//  
// https://joinup.ec.europa.eu/software/page/eupl
//  
// Salvo cuando lo exija la legislación aplicable o se acuerde
// por escrito, el programa distribuido con arreglo a la
// Licencia se distribuye «TAL CUAL», SIN GARANTÍAS NI CONDICIONES
// DE NINGÚN TIPO, ni expresasni implícitas.
//
// Véase la Licencia en el idioma concreto que rige los permisos y 
// limitaciones que establece la Licencia.
// 

using System;
using System.Globalization;
using System.Text;
using IdenFiscal;
namespace ateneo.utiles
{
    class ValidaNif
    {
        public static bool checkNif(string nifEntra)
        {
            try
            {
                if (nifEntra == null || nifEntra.Length == 0)
                {
                    return false;
                }
                if (nifEntra[0] == '#')
                {
                    return true;
                }
                bool res = IdenFiscal.ValFiscal.valIden(nifEntra);
                return res;
            }
            catch
            {
                return false;
            }

        }
    }
}

